---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: qbittorrent-expired
spec:
  interval: 30m
  chart:
    spec:
      chart: app-template
      version: 3.6.1
      sourceRef:
        kind: HelmRepository
        name: bjw-s
        namespace: flux-system
  install:
    remediation:
      retries: 3
  upgrade:
    cleanupOnFail: true
    remediation:
      retries: 3
  uninstall:
    keepHistory: false
  dependsOn:
    - name: qbittorrent
      namespace: multimedia
  values:
    controllers:
      main:
        type: cronjob
        cronjob:
          schedule:  "30 * * * *"
        containers:
          main:
            image:
              repository: ghcr.io/buroa/qbtools
              tag: v0.19.14@sha256:905617dfc1a8aa1510381d8e177cc5581a49bfa9d56f3f05e0574f6c83987d3c
            args:
              - prune
              - --exclude-category
              - manual
              - --include-tag
              - expired
              - --exclude-tag
              - site:anthelion
              - --exclude-tag
              - site:beyond-hd
              - --exclude-tag
              - site:myspleen
              - --exclude-tag
              - site:passthepopcorn
              - --exclude-tag
              - site:pixelhd
              - --exclude-tag
              - site:uhdbits
              # --dry-run
              - --server
              - qbittorrent.multimedia.svc.cluster.local
              - --port
              - "80"
              - -U
              - $(QB_USER)
              - -P
              - $(QB_PASS)
            env:
              envFrom:
                - secretRef:
                  name: qb-secret
            resources:
              requests:
                cpu: 5m
                memory: 64M
              limits:
                memory: 128M
        pod:
          securityContext:
            runAsUser: 1000
            runAsGroup: 1000
            fsGroup: 1000
            fsGroupChangePolicy: OnRootMismatch
            supplementalGroups: [10000]
    service:
      main:
        enabled: false
    persistence:
      media:
        existingClaim: media
